## baloo-kf5 5.103.0

=== src/engine/CMakeLists.txt ===
set(BALOO_ENGINE_SRCS
    andpostingiterator.cpp
    database.cpp
    document.cpp
    documentdb.cpp
    documentdatadb.cpp
    documenturldb.cpp
    documenttimedb.cpp
    documentiddb.cpp
    enginequery.cpp
    idtreedb.cpp
    idfilenamedb.cpp
    indexerstate.cpp
    mtimedb.cpp
    orpostingiterator.cpp
    phraseanditerator.cpp
    positiondb.cpp
    postingdb.cpp
    postingiterator.cpp
    queryparser.cpp
    termgenerator.cpp
    transaction.cpp
    vectorpostingiterator.cpp
    vectorpositioninfoiterator.cpp
    writetransaction.cpp
    global.cpp
    fsutils.cpp
)

ecm_qt_declare_logging_category(
    BALOO_ENGINE_SRCS
    HEADER "enginedebug.h"
    IDENTIFIER "Baloo::ENGINE"
    DEFAULT_SEVERITY Warning
    CATEGORY_NAME kf.baloo.engine
    OLD_CATEGORY_NAMES org.kde.baloo.engine
    DESCRIPTION "Baloo Engine"
    EXPORT BALOO
)

if(${BUILD_EXPERIMENTAL})
  set(BALOO_ENGINE_SRCS ${BALOO_ENGINE_SRCS} experimental/databasesanitizer.cpp)
endif()

add_library(KF5BalooEngine ${BALOO_ENGINE_SRCS})
add_library(KF5::BalooEngine ALIAS KF5BalooEngine)

target_link_libraries(KF5BalooEngine
    PUBLIC
    Qt${QT_MAJOR_VERSION}::Core
    KF5::CoreAddons
    ${LMDB_LIBRARIES}
    PRIVATE
    KF5BalooCodecs
    KF5::I18n
)

set_target_properties(KF5BalooEngine PROPERTIES
    VERSION ${BALOO_VERSION}
    SOVERSION ${BALOO_SOVERSION}
    EXPORT_NAME BalooEngine
)

##target_include_directories(KF5BalooEngine INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/Baloo>")

generate_export_header(KF5BalooEngine BASE_NAME BALOO_ENGINE EXPORT_FILE_NAME engine_export.h)

install(TARGETS KF5BalooEngine EXPORT KF5BalooTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== src/file/extractor/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN=\"baloo_file5\")
add_definitions(-DTRANSLATION_DOMAIN=\"baloo_file_extractor5\")

set(EXTRACTOR_SRCS
  main.cpp
  app.cpp
  result.cpp
  commandpipe.cpp
  ../priority.cpp
  ../basicindexingjob.cpp
  ../fileindexerconfig.cpp
  ../storagedevices.cpp
  ../regexpcache.cpp
  ../fileexcludefilters.cpp
  ../propertydata.cpp
)

ecm_qt_declare_logging_category(EXTRACTOR_SRCS
    HEADER baloodebug.h
    IDENTIFIER BALOO
    CATEGORY_NAME kf.baloo
)
kconfig_add_kcfg_files(EXTRACTOR_SRCS ../baloosettings.kcfgc GENERATE_MOC)

add_executable(baloo_file_extractor ${EXTRACTOR_SRCS})
ecm_mark_nongui_executable(baloo_file_extractor)
target_compile_definitions(baloo_file_extractor PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(baloo_file_extractor
  Qt${QT_MAJOR_VERSION}::Gui
  KF5::FileMetaData
  KF5::ConfigCore
  KF5::Solid
  KF5::BalooEngine
  KF5::Crash
  KF5::IdleTime
)

# KF6 TODO - remove compatibility symlink to bin/baloo_file_extractor
add_custom_command(TARGET baloo_file_extractor
    POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E create_symlink ${KDE_INSTALL_FULL_LIBEXECDIR}/baloo_file_extractor baloo_file_extractor)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/baloo_file_extractor DESTINATION ${KDE_INSTALL_FULL_BINDIR})

install(TARGETS baloo_file_extractor DESTINATION ${KDE_INSTALL_FULL_LIBEXECDIR})

=== debian/changelog ===
baloo-kf5 (5.103.0-2deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:42:31 +0800

baloo-kf5 (5.103.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * CI: enable again the blhc job.
  * Remove an obsolete maintscript entry.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Limit more Linux-only files in baloo-kf5.install.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Feb 2023 19:08:27 +0100

baloo-kf5 (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:31 +0100

baloo-kf5 (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:09 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable auto tests at build time
	:

execute_after_dh_auto_install:
	# sadly baloosettings.h includes an internal header,
	# which seems not actually required
	sed -i '/\<fileexcludefilters\.h\>/d' debian/tmp/usr/include/KF5/Baloo/baloo/baloosettings.h

## baloo-kf5 5.104.0

=== debian/changelog ===
baloo-kf5 (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:01 +0100

=== debian/control ===
Source: baloo-kf5
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 5.104.0~),
               gettext,
               libkf5config-dev (>= 5.104.0~),
               libkf5coreaddons-dev (>= 5.104.0~),
               libkf5crash-dev (>= 5.104.0~),
               libkf5dbusaddons-dev (>= 5.104.0~),
               libkf5filemetadata-dev (>= 5.104.0~),
               libkf5i18n-dev (>= 5.104.0~),
               libkf5idletime-dev (>= 5.104.0~),
               libkf5kio-dev (>= 5.104.0~),
               libkf5solid-dev (>= 5.104.0~),
               liblmdb-dev,
               libqt5sql5-sqlite,
               libxapian-dev,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/baloo
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo.git
Rules-Requires-Root: no

Package: baloo-kf5
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5-dev
Section: devel
Architecture: any
Depends: baloo-kf5 (= ${binary:Version}),
         libkf5baloo5 (= ${binary:Version}),
         libkf5balooengine5 (= ${binary:Version}),
         libkf5config-dev (>= 5.104.0~),
         libkf5coreaddons-dev (>= 5.104.0~),
         libkf5filemetadata-dev (>= 5.104.0~),
         ${misc:Depends},
Recommends: libkf5baloo-doc (= ${source:Version}),
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: libkf5baloo-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: framework for searching and managing metadata core lib (documentation)
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5baloo5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: framework for searching and managing metadata core lib.
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5balooengine5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

## baloo-kf5 5.110.0

=== debian/changelog ===
baloo-kf5 (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:03:55 +0100

baloo-kf5 (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:46:33 +0100

baloo-kf5 (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:17:03 +0100

baloo-kf5 (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:03:11 +0100

baloo-kf5 (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:42:27 +0100

baloo-kf5 (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:14:01 +0000

baloo-kf5 (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:41:00 +0000

baloo-kf5 (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:54:53 +0000

baloo-kf5 (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:18:11 +0000

baloo-kf5 (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:12:44 +0000

baloo-kf5 (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:56:59 +0000

=== debian/control ===
Source: baloo-kf5
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-exec,
               doxygen,
               extra-cmake-modules (>= 5.110.0~),
               gettext,
               libkf5config-dev (>= 5.110.0~),
               libkf5coreaddons-dev (>= 5.110.0~),
               libkf5crash-dev (>= 5.110.0~),
               libkf5dbusaddons-dev (>= 5.110.0~),
               libkf5filemetadata-dev (>= 5.110.0~),
               libkf5i18n-dev (>= 5.110.0~),
               libkf5idletime-dev (>= 5.110.0~),
               libkf5kio-dev (>= 5.110.0~),
               libkf5solid-dev (>= 5.110.0~),
               liblmdb-dev,
               libqt5sql5-sqlite,
               libxapian-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/baloo
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
Rules-Requires-Root: no

Package: baloo-kf5
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5-dev
Section: devel
Architecture: any
Depends: baloo-kf5 (= ${binary:Version}),
         libkf5baloo5 (= ${binary:Version}),
         libkf5balooengine5 (= ${binary:Version}),
         libkf5config-dev (>= 5.110.0~),
         libkf5coreaddons-dev (>= 5.110.0~),
         libkf5filemetadata-dev (>= 5.110.0~),
         ${misc:Depends},
Recommends: libkf5baloo-doc (= ${source:Version})
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: libkf5baloo-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: framework for searching and managing metadata core lib (documentation)
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5baloo5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework for searching and managing metadata core lib.
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5balooengine5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

## baloo-kf5 5.115.0

=== src/CMakeLists.txt ===
add_subdirectory(lib)
add_subdirectory(engine)
add_subdirectory(codecs)
add_subdirectory(qml)

if (BUILD_KINOTIFY)
    add_subdirectory(file)
    add_subdirectory(kioworkers)
    add_subdirectory(tools)
endif()

add_subdirectory(dbus)

ecm_qt_install_logging_categories(
    EXPORT BALOO
    FILE baloo.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== src/file/CMakeLists.txt ===
include_directories(${Inotify_INCLUDE_DIRS})
add_definitions(-DTRANSLATION_DOMAIN=\"baloo_file5\")

set(file_static_lib_SRCS
    # File Indexer
    mainhub.cpp
    fileindexerconfig.cpp
    basicindexingjob.cpp
    powerstatemonitor.cpp

    fileindexscheduler.cpp

    firstrunindexer.cpp
    newfileindexer.cpp
    xattrindexer.cpp
    modifiedfileindexer.cpp
    unindexedfileindexer.cpp

    filecontentindexer.cpp
    filecontentindexerprovider.cpp
    extractorprocess.cpp
    extractor/commandpipe.cpp
    timeestimator.cpp

    indexcleaner.cpp

    # Common
    priority.cpp
    regexpcache.cpp
    fileexcludefilters.cpp
    storagedevices.cpp
    filtereddiriterator.cpp
    unindexedfileiterator.cpp
    migrator.cpp

     # File Watcher
    filewatch.cpp
    pendingfilequeue.cpp
    metadatamover.cpp
    org.kde.BalooWatcherApplication.xml
    pendingfile.cpp
    kinotify.cpp

    propertydata.cpp
)

ecm_qt_declare_logging_category(file_static_lib_SRCS
    HEADER baloodebug.h
    IDENTIFIER BALOO
    CATEGORY_NAME kf.baloo
)

# KF6 TODO - remove BalooWatcherApplication
qt_add_dbus_interface(file_static_lib_SRCS org.kde.BalooWatcherApplication.xml baloowatcherapplication_interface)
kconfig_add_kcfg_files(file_static_lib_SRCS ../lib/baloosettings.kcfgc GENERATE_MOC)

add_library(baloofilecommon STATIC ${file_static_lib_SRCS})
target_link_libraries(baloofilecommon
    Qt${QT_MAJOR_VERSION}::DBus
    KF5::I18n
    KF5::Solid
    KF5::FileMetaData
    KF5::ConfigCore
    KF5::BalooEngine
    ${Inotify_LIBRARIES}
)

set(file_SRCS
    main.cpp
)

if (BUILD_INDEXER_SERVICE)
    add_executable(baloo_file ${file_SRCS})
    ecm_mark_nongui_executable(baloo_file)
    target_compile_definitions(baloo_file PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

    target_link_libraries(baloo_file
        baloofilecommon
        KF5::Crash
    )

    install(TARGETS baloo_file DESTINATION ${KDE_INSTALL_FULL_LIBEXECDIR})

    # KF6 TODO - remove compatibility symlink to bin/baloo_file
    add_custom_command(TARGET baloo_file
        POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E create_symlink ${KDE_INSTALL_FULL_LIBEXECDIR}/baloo_file baloo_file)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/baloo_file DESTINATION ${KDE_INSTALL_FULL_BINDIR})

    ecm_install_configured_files(INPUT baloo_file.desktop.in DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})

    ecm_install_configured_files(
       INPUT kde-baloo.service.in
       DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR}
    )

    add_subdirectory(extractor)

    install(FILES
        org.kde.BalooWatcherApplication.xml
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
    )
endif()

=== tests/benchmarks/CMakeLists.txt ===
add_executable(unindexedfileiteratorbenchmark unindexedfileiteratortest.cpp)
target_link_libraries(unindexedfileiteratorbenchmark
    Qt${QT_MAJOR_VERSION}::Core
    baloofilecommon
)
ecm_mark_as_test(unindexedfileiteratorbenchmark)

=== autotests/unit/codecs/CMakeLists.txt ===
MACRO(BALOO_CODECS_AUTO_TESTS)
  FOREACH(_testname ${ARGN})
    ecm_add_test(${_testname}.cpp
        TEST_NAME ${_testname}
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::BalooCodecs
    )
  ENDFOREACH()
ENDMACRO()

baloo_codecs_auto_tests(
    doctermscodectest
    postingcodectest
    positioncodectest
)

=== debian/changelog ===
baloo-kf5 (5.115.0-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 16:13:28 +0200

baloo-kf5 (5.115.0-3) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Disable building of th indexer service to prepare co-instability with KF6
    baloo.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 May 2024 23:20:03 +0200

baloo-kf5 (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:15:44 +0200

baloo-kf5 (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:07:40 +0100

baloo-kf5 (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:44 +0200

=== debian/control ===
Source: baloo-kf5
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               gettext,
               libkf5config-dev (>= 5.115.0~),
               libkf5coreaddons-dev (>= 5.115.0~),
               libkf5crash-dev (>= 5.115.0~),
               libkf5dbusaddons-dev (>= 5.115.0~),
               libkf5filemetadata-dev (>= 5.115.0~),
               libkf5i18n-dev (>= 5.115.0~),
               libkf5idletime-dev (>= 5.115.0~),
               libkf5kio-dev (>= 5.115.0~),
               libkf5solid-dev (>= 5.115.0~),
               libkf5windowsystem-dev (>= 5.115.0~),
               liblmdb-dev,
               libqt5sql5-sqlite,
               libxapian-dev,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/baloo
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo.git
Rules-Requires-Root: no

Package: baloo-kf5
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5-dev
Section: devel
Architecture: any
Depends: baloo-kf5 (= ${binary:Version}),
         libkf5baloo5 (= ${binary:Version}),
         libkf5balooengine5 (= ${binary:Version}),
         libkf5config-dev (>= 5.115.0~),
         libkf5coreaddons-dev (>= 5.115.0~),
         libkf5filemetadata-dev (>= 5.115.0~),
         ${misc:Depends},
Recommends: libkf5baloo-doc (= ${source:Version}),
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: libkf5baloo-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: framework for searching and managing metadata core lib (documentation)
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5baloo5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: framework for searching and managing metadata core lib.
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5balooengine5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

## baloo-kf5 5.116.0

=== autotests/integration/CMakeLists.txt ===
MACRO(BALOO_ENGINE_AUTO_TESTS)
  FOREACH(_testname ${ARGN})
    ecm_add_test(${_testname}.cpp
        TEST_NAME ${_testname}
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::BalooEngine
    )
  ENDFOREACH()
ENDMACRO()

baloo_engine_auto_tests(
    querytest
    writetransactiontest
)
target_link_libraries(querytest
    KF5::Baloo
)

add_executable(basicindexingbenchmark_bin basicindexingbenchmark.cpp)
target_link_libraries(basicindexingbenchmark_bin
    Qt${QT_MAJOR_VERSION}::Core
    KF5::BalooEngine
    baloofilecommon
)
ecm_mark_as_test(basicindexingbenchmark_bin)
ecm_mark_nongui_executable(basicindexingbenchmark_bin)

add_test(NAME basicindexingbenchmark_ts100 COMMAND basicindexingbenchmark_bin "-s" "100" ${CMAKE_SOURCE_DIR}/src)
add_test(NAME basicindexingbenchmark_ts50  COMMAND basicindexingbenchmark_bin "-s" "50"  ${CMAKE_SOURCE_DIR}/src)

=== src/engine/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+add_definitions(-DTRANSLATION_DOMAIN=\"balooengine5\")
+
 set(BALOO_ENGINE_SRCS
     andpostingiterator.cpp
     database.cpp
@@ -17,7 +19,6 @@
     positiondb.cpp
     postingdb.cpp
     postingiterator.cpp
-    queryparser.cpp
     termgenerator.cpp
     transaction.cpp
     vectorpostingiterator.cpp

=== tests/file/CMakeLists.txt ===
add_executable(indexerconfigtest indexerconfigtest.cpp)
target_link_libraries(indexerconfigtest baloofilecommon)
ecm_mark_as_test(indexerconfigtest)

add_executable(inotifytest inotify.cpp)
target_link_libraries(inotifytest Qt${QT_MAJOR_VERSION}::Core baloofilecommon)
ecm_mark_as_test(inotifytest)

#
# Storage Devices
#
add_executable(storagedevicestest storagedevicestest.cpp)
target_link_libraries(storagedevicestest Qt${QT_MAJOR_VERSION}::Core KF5::Solid baloofilecommon)
ecm_mark_as_test(storagedevicestest)

# Benchmark, compiled, but not run automatically with ctest
add_executable(filtereddiriteratorbenchmark filtereddiriteratorbenchmark.cpp)
target_link_libraries(filtereddiriteratorbenchmark Qt${QT_MAJOR_VERSION}::Core baloofilecommon)

#
# Remaining Time //TODO: rewrite the test to use mainhub, instead of using the indexers directly
#
#[[
add_executable(remainingtimetest-manual
  remainingtimetest.cpp
)

target_link_libraries(remainingtimetest-manual
  Qt${QT_MAJOR_VERSION}::Core
  baloofilecommon
  BalooDBusExtractorInterface
)

ecm_mark_as_test(remainingtimetest-manual)
]]

=== autotests/unit/engine/CMakeLists.txt ===
MACRO(BALOO_ENGINE_AUTO_TESTS)
  FOREACH(_testname ${ARGN})
    ecm_add_test(${_testname}.cpp singledbtest.cpp
        TEST_NAME ${_testname}
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::BalooEngine
    )
  ENDFOREACH()
ENDMACRO()

baloo_engine_auto_tests(
    positiondbtest
    postingdbtest
    documentdbtest
    documenturldbtest
    documentiddbtest
    documentdatadbtest
    documenttimedbtest
    idtreedbtest
    idfilenamedbtest
    mtimedbtest

    termgeneratortest

    # Query
    andpostingiteratortest
    orpostingiteratortest
    postingiteratortest
    phraseanditeratortest
)

=== autotests/unit/file/CMakeLists.txt ===
if(CMAKE_SYSTEM_NAME MATCHES "Linux")
  ecm_add_test(kinotifytest.cpp
    TEST_NAME "kinotifytest"
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test baloofilecommon
  )
endif()

MACRO(BALOO_FILE_AUTO_TESTS)
  FOREACH(_testname ${ARGN})
    ecm_add_test(${_testname}.cpp TEST_NAME ${_testname} LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test baloofilecommon KF5::Baloo)
  ENDFOREACH()
ENDMACRO()

baloo_file_auto_tests(
    pendingfilequeuetest
    fileindexerconfigtest
    basicindexingjobtest
    filtereddiriteratortest
    unindexedfileiteratortest
    metadatamovertest
    extractorcommandpipetest
)


#
# File Watch
#
set(fileWatch_SRC filewatchtest.cpp)
ecm_add_test(${fileWatch_SRC}
    TEST_NAME "filewatchtest"
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::DBus KF5::Baloo KF5::FileMetaData baloofilecommon
)

#
# Property Serialization
#
ecm_add_test(propertyserializationtest.cpp
    TEST_NAME "propertyserializationtest"
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::FileMetaData baloofilecommon
)

# Management of external extractor process
ecm_add_test(
    extractorprocesstest.cpp
    TEST_NAME "extractorprocesstest"
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test baloofilecommon
)
# Dummy process for extractor process testing
add_executable(extractorprocess_fake
	extractorprocess_fake.cpp
)
target_link_libraries(extractorprocess_fake
	baloofilecommon
	KF5::Crash
)

configure_file(testsconfig.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/testsconfig.h @ONLY)

# Dummy process for extractor pipe testing
add_executable(extractorcommandpipe_worker
	extractorcommandpipe_worker.cpp
)
target_link_libraries(extractorcommandpipe_worker
	baloofilecommon
)

=== debian/changelog ===
baloo-kf5 (5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 08:23:33 +0100

baloo-kf5 (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Drop obsolete lintian overrides.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:42:56 +0200

baloo-kf5 (5.116.0-0ubuntu2) oracular; urgency=medium

  * Disable build of indexer service so to not conflict with KF6
    service.

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Aug 2024 07:51:52 +0100

baloo-kf5 (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:39:03 +0100

baloo-kf5 (5.115.0-0ubuntu5) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:37:40 +0200

baloo-kf5 (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:21:55 +0000

baloo-kf5 (5.115.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:56:41 +0000

baloo-kf5 (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 09:28:01 -0700

baloo-kf5 (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:37:34 -0700

baloo-kf5 (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:40:45 +0000

baloo-kf5 (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:45:32 +0000

baloo-kf5 (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:55:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: baloo-kf5
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf5,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
                gettext,
-               libkf5config-dev (>= 5.115.0~),
-               libkf5coreaddons-dev (>= 5.115.0~),
-               libkf5crash-dev (>= 5.115.0~),
-               libkf5dbusaddons-dev (>= 5.115.0~),
-               libkf5filemetadata-dev (>= 5.115.0~),
-               libkf5i18n-dev (>= 5.115.0~),
-               libkf5idletime-dev (>= 5.115.0~),
-               libkf5kio-dev (>= 5.115.0~),
-               libkf5solid-dev (>= 5.115.0~),
+               libkf5config-dev (>= 5.116.0~),
+               libkf5coreaddons-dev (>= 5.116.0~),
+               libkf5crash-dev (>= 5.116.0~),
+               libkf5dbusaddons-dev (>= 5.116.0~),
+               libkf5filemetadata-dev (>= 5.116.0~),
+               libkf5i18n-dev (>= 5.116.0~),
+               libkf5idletime-dev (>= 5.116.0~),
+               libkf5kio-dev (>= 5.116.0~),
+               libkf5solid-dev (>= 5.116.0~),
                libkf5windowsystem-dev (>= 5.115.0~),
                liblmdb-dev,
                libqt5sql5-sqlite,
@@ -29,10 +30,10 @@
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/baloo
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
 Rules-Requires-Root: no
 
 Package: baloo-kf5
@@ -50,9 +51,9 @@
 Depends: baloo-kf5 (= ${binary:Version}),
          libkf5baloo5 (= ${binary:Version}),
          libkf5balooengine5 (= ${binary:Version}),
-         libkf5config-dev (>= 5.115.0~),
-         libkf5coreaddons-dev (>= 5.115.0~),
-         libkf5filemetadata-dev (>= 5.115.0~),
+         libkf5config-dev (>= 5.116.0~),
+         libkf5coreaddons-dev (>= 5.116.0~),
+         libkf5filemetadata-dev (>= 5.116.0~),
          ${misc:Depends},
 Recommends: libkf5baloo-doc (= ${source:Version}),
 Description: framework for searching and managing metadata devel files

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF
+	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF -DBUILD_INDEXER_SERVICE=OFF
 
 override_dh_auto_test:
 	# Disable auto tests at build time

## baloo-kf5 5.116.0+p24.04+vstable+git20250908.0823

=== debian/changelog ===
baloo-kf5 (5.116.0+p24.04+vstable+git20250908.0823-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 08:23:17 +0000

baloo-kf5 (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:20:42 +1000

baloo-kf5 (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:17:24 +0000

baloo-kf5 (5.115.0-1neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 03:53:42 +0000

baloo-kf5 (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 07:09:08 +0000

baloo-kf5 (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 13:47:34 +0000

baloo-kf5 (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:15:45 +0000

baloo-kf5 (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 08:53:50 +0000

baloo-kf5 (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:01:01 +0000

baloo-kf5 (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:29:51 +0000

baloo-kf5 (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 07:50:09 +0000

baloo-kf5 (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:43:54 +0000

baloo-kf5 (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:16:00 +0000

baloo-kf5 (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:24:19 +0000

baloo-kf5 (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:47:03 +0000

baloo-kf5 (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 11:55:20 +0000

baloo-kf5 (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:11:16 +0000

baloo-kf5 (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:18:53 +0000

baloo-kf5 (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 11:52:50 +0000

baloo-kf5 (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:23:46 +0000

baloo-kf5 (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Apr 2022 12:01:03 +0000

baloo-kf5 (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:20:34 +0000

baloo-kf5 (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:19:21 +0000

baloo-kf5 (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:22:05 +0000

baloo-kf5 (5.88.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 00:03:05 +0000

baloo-kf5 (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:07:25 +0000

baloo-kf5 (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:15:54 +0000

baloo-kf5 (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:23:36 +0000

baloo-kf5 (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:14:23 +0000

baloo-kf5 (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:07:34 +0000

baloo-kf5 (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:09:43 +0000

baloo-kf5 (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:56:12 +0000

baloo-kf5 (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:08:42 +0000

baloo-kf5 (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:00:51 +0000

baloo-kf5 (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:29:31 +0000

baloo-kf5 (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:38:13 +0000

baloo-kf5 (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:21:50 +0000

baloo-kf5 (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:10:08 +0000

baloo-kf5 (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:10:44 +0000

baloo-kf5 (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:47:43 +0000

baloo-kf5 (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:39:07 +0000

baloo-kf5 (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:16:44 +0000

baloo-kf5 (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:18:27 +0000

baloo-kf5 (5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2020 21:03:01 +0000

baloo-kf5 (5.66.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Jan 2020 13:19:50 +0000

baloo-kf5 (5.65.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2019 17:35:48 +0000

baloo-kf5 (5.64.0-0neon) bionic; urgency=medium



## baloo-kf5 5.116.0+p24.04+vstable+git20250909.0655

=== debian/changelog ===
baloo-kf5 (5.116.0+p24.04+vstable+git20250909.0655-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 06:55:17 +0000

## baloo-kf5 5.116.0+p24.04+vstable+git20251016.0251

=== debian/changelog ===
baloo-kf5 (5.116.0+p24.04+vstable+git20251016.0251-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 02:51:53 +0000
